/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
var QuickSidebar = function () {

    var currentUser = MyApp.getUser();
    var urlWeb = MyApp.getUrl();

    var initCarrito = function () {
        //mostrar el boton correcto en el carrito
        MyApp.mostrarBotonCarrito();

        $(document).off('click', '#m_quick_sidebar_toggle');
        $(document).on('click', '#m_quick_sidebar_toggle', function (e) {
            mostrarCarrito();
        });

        $(document).off('click', '#m_quick_sidebar_close, .ocultar-carrito');
        $(document).on('click', '#m_quick_sidebar_close, .ocultar-carrito', function (e) {
            ocultarCarrito();
        });

        //Eliminar item
        $(document).off('click', '#m_quick_sidebar_tabs_messenger a.delete');
        $(document).on('click', '#m_quick_sidebar_tabs_messenger a.delete', function (e) {
            var carrito = JSON.parse(localStorage.getItem('beneplus_backend_carrito'));
            if (carrito == null) {
                carrito = [];
            }

            var pos = $(this).data('pos');
            if (carrito[pos]) {
                carrito.splice(pos, 1);
                localStorage.setItem('beneplus_backend_carrito', JSON.stringify(carrito));
                MyApp.dibujarCarrito();
                //verificar si estoy en el carro de canjes para actualizar la tabla
                if ($('#lista-carro-canjes').html() != "" && $('#lista-carro-canjes').html() !== undefined) {
                    dibujarTablaProductos();
                }
            }

        });

        function mostrarCarrito() {
            $('#m_quick_sidebar').addClass('m-quick-sidebar--on');
            $('.m-quick-sidebar__content').removeClass('m--hide');
        }

    }
    var ocultarCarrito = function () {
        $('#m_quick_sidebar').removeClass('m-quick-sidebar--on');
        $('.m-quick-sidebar__content').addClass('m--hide');
    }

    var dibujarTablaProductos = function () {
        var carrito = JSON.parse(localStorage.getItem('beneplus_backend_carrito'));
        if (carrito == null) {
            return;
        }

        var tabla = '#table-productos'
        //Limpiar tabla
        $(tabla + ' tbody tr').each(function (e) {
            $(this).remove();
        });
        $(tabla + ' tfoot tr').each(function (e) {
            $(this).remove();
        });

        //Agregar elementos
        var total = 0;
        for (var i = 0; i < carrito.length; i++) {
            var producto_id = carrito[i].producto_id;
            var servicio_id = carrito[i].servicio_id;

            var imagen = '<img width="50" src="' + carrito[i].imagen + '">';

            var acciones = '<a href="javascript:;" data-pos="' + i + '" class="delete btn btn-sm btn-danger m-btn m-btn--icon m-btn--icon-only m-btn--custom m-btn--pill"> <i class="la la-trash"></i> </a>';

            var subtotal = carrito[i].puntos * carrito[i].cantidad;
            total += subtotal;

            var select = '<select class="form-control cantidad"  data-pos="' + i + '" style="width: 100px;">';
            for (var j = 1; j <= carrito[i].stock; j++) {
                var selected = (j == carrito[i].cantidad) ? 'selected="selected"' : "";
                select += '<option value="' + j + '" ' + selected + '>' + j + '</option>';
            }
            select += '</select>';

            var adicional = "";
            if (carrito[i].color != "") {
                adicional += "Color: " + carrito[i].color + ', Tamaño: ' + carrito[i].talla;
            }

            var tr = '<tr id="' + i + '">' +
                '<td class="detalle-producto" data-id="' + producto_id + '" data-carro="1" data-poscarro="' + i + '">' + imagen + '</td>' +
                '<td class="detalle-producto" data-id="' + producto_id + '" data-carro="1" data-poscarro="' + i + '">' + carrito[i].nombre + ' <br> ' + adicional + '</td>' +
                '<td width="100" class="text-center">' + carrito[i].puntos + '</td>' +
                '<td width="100" class="text-center">' + select + '</td>' +
                '<td width="140" class="text-center">' + subtotal + '</td>' +
                '<td width="50" class="text-center">' + acciones + '</td>' +
                '</tr>';

            if (servicio_id != "") {
                tr = '<tr id="' + i + '">' +
                    '<td class="detalle-servicio" data-id="' + servicio_id + '" data-carro="1">' + imagen + '</td>' +
                    '<td class="detalle-servicio" data-id="' + servicio_id + '" data-carro="1">' + carrito[i].nombre + '</td>' +
                    '<td width="100" class="text-center">' + carrito[i].puntos + '</td>' +
                    '<td width="100" class="text-center">1</td>' +
                    '<td width="140" class="text-center">' + subtotal + '</td>' +
                    '<td width="50" class="text-center">' + acciones + '</td>' +
                    '</tr>';
            }

            $(tr).appendTo(tabla + ' tbody');
        }
        //total
        var tr = '<tr>' +
            '<td colspan="4" class="text-right">Total</td>' +
            '<td width="140" class="text-center">' + total + '</td>' +
            '<td></td>' +
            '</tr>';

        $(tr).appendTo(tabla + ' tfoot');
    }

    //Detalle de producto
    var initDetalleProducto = function () {
        var colores = [];
        var producto_imagenes = [];

        $(document).off('click', '.detalle-producto');
        $(document).on('click', '.detalle-producto', function (e) {

            var producto_id = $(this).data('id');
            var carro = $(this).data('carro');
            var poscarro = $(this).data('poscarro');

            // open modal
            MyApp.openModalProducto();

            setTimeout(function () {

                MyApp.block('.modal-dialog');

                $.ajax({
                    type: "POST",
                    url: MyApp.getBackendUrl() + "producto/cargarDatos",
                    headers: {
                        'My-Header': 'Bearer ' + currentUser.token
                    },
                    dataType: "json",
                    data: {
                        'producto_id': producto_id
                    },
                    success: function (response) {
                        mApp.unblock('.modal-dialog');
                        if (response.success) {
                            //Datos producto

                            $('#detalle-producto-form .producto_id').val(producto_id);
                            $('#detalle-producto-form .nombre').val(response.producto.nombre);
                            $('#detalle-producto-form .puntos-hidden').val(response.producto.puntos);
                            $('#detalle-producto-form .stock-hidden').val(response.producto.stock);

                            var imagen = urlWeb + "/uploads/productos/" + response.producto.imagen[0];
                            $('#detalle-producto-form .imagen').val(imagen);


                            $('.modal-title').html(response.producto.nombre);

                            $('#modal-detalle-producto #ficha-producto').removeClass('m--hide');

                            var empresa_logo = response.producto.empresa_logo;
                            if (empresa_logo != "") {
                                $('#modal-detalle-producto .marca-item').removeClass('m--hide');
                                empresa_logo = urlWeb + "/uploads/empresas/" + empresa_logo;
                                $('#modal-detalle-producto .marca-item').attr('src', empresa_logo);
                            }


                            $('.titulo-producto').html(response.producto.nombre);

                            var stock = response.producto.stock;
                            $('.stock').html(stock);

                            var codigo = response.producto.codigo;
                            if (codigo != "") {
                                $('#modal-detalle-producto .sku').html('SKU: ' + codigo);
                            }


                            $('#modal-detalle-producto .descripcion').html(response.producto.descripcion);

                            if (response.producto.informacionAdicional != "" && response.producto.informacionAdicional != null) {
                                $('#tab-producto-detalle-adicional').removeClass('m--hide');
                                $('#modal-detalle-producto .adicional').html(response.producto.informacionAdicional);
                            }

                            $('#modal-detalle-producto .puntos').html(response.producto.puntos_formato);
                            $('#modal-detalle-producto .plazoEntrega').html(response.producto.plazoEntrega);
                            if (response.producto.giftcard) {
                                $('#modal-detalle-producto .giftcard-valor').html('Gift Card de $' + MyApp.formatearNumero(response.producto.giftcardValor, 0, ',', '.'));
                            }

                            //select cantidad pero si estoy en el carro de canje no lo muestro
                            if (stock > 0 && carro != 1) {
                                $('#modal-detalle-producto .add-box').removeClass('m--hide');
                                for (var i = 1; i <= stock; i++) {
                                    $('#modal-detalle-producto .cantidad').append(new Option(i, i, false, false));
                                }
                                $('#modal-detalle-producto .cantidad').select2();
                            }

                            var imagenes = response.producto.imagenes;
                            producto_imagenes = imagenes;
                            if (imagenes.length > 0) {
                                mostrarGaleria(imagenes, response.producto.descuento, response.producto.oferta);
                            }

                            //Tags
                            var tags = response.producto.tags;
                            if (tags != "" && tags != null) {
                                tags = tags.split(',');
                                var html = '';
                                for (var i = 0; i < tags.length; i++) {
                                    html += '<span class="m-badge m-badge--metal m-badge--wide">' + tags[i] + '</span>';

                                }
                                $('#modal-detalle-producto .tags-box').append(html);
                                $('#modal-detalle-producto .tags-box').removeClass('m--hide');
                            }

                            //Caracteristicas
                            if (response.producto.caracteristicas.length > 0) {
                                $('#tab-producto-detalle-caracteristicas').removeClass('m--hide');
                                dibujarTablaCaracteristicas(response.producto.caracteristicas);
                            }

                            //Colores
                            colores = response.producto.colores;
                            if (colores.length > 0 && carro != 1) {
                                dibujarColores();
                            }

                            //Mostrar el detalle color y talla si se envia carro y no mostrar opciones para cotizar
                            if (colores.length > 0 && carro == 1) {

                                var carrito = JSON.parse(localStorage.getItem('beneplus_backend_carrito'));
                                if (carrito == null) {
                                    return;
                                }

                                $('#modal-detalle-producto .colores').removeClass('m--hide');
                                $('#modal-detalle-producto .tallas').removeClass('m--hide');


                                $('#modal-detalle-producto .color').html(carrito[poscarro].color);
                                $('#modal-detalle-producto .talla').html(carrito[poscarro].talla);
                            }

                        } else {
                            toastr.error(response.error, "Error !!!");
                        }
                    },
                    error: function (data) {
                        mApp.unblock('.modal-dialog');
                        toastr.error("Ha ocurrido un error interno, por favor intente de nuevo", "Error !!!");
                    }
                });

                //vistar
                visitarProducto(producto_id);
            }, 300);

        });

        $(document).off('click', '.detalle-servicio');
        $(document).on('click', '.detalle-servicio', function (e) {

            var servicio_id = $(this).data('id');

            // open modal
            MyApp.openModalServicio();

            setTimeout(function () {
                MyApp.block('.modal-dialog');

                $.ajax({
                    type: "POST",
                    url: MyApp.getBackendUrl() + "servicio/cargarDatos",
                    headers: {
                        'My-Header': 'Bearer ' + currentUser.token
                    },
                    dataType: "json",
                    data: {
                        'servicio_id': servicio_id
                    },
                    success: function (response) {
                        mApp.unblock('.modal-dialog');
                        if (response.success) {
                            //Datos producto

                            $('#detalle-servicio-form .servicio_id').val(servicio_id);
                            $('#detalle-servicio-form .nombre').val(response.servicio.nombre);
                            $('#detalle-servicio-form .puntos-hidden').val(response.servicio.puntos);

                            var imagen = urlWeb + "/uploads/servicios/" + response.servicio.imagen[0];
                            $('#detalle-servicio-form .imagen').val(imagen);


                            $('.modal-title').html(response.servicio.nombre);

                            $('#modal-detalle-servicio #ficha-servicio').removeClass('m--hide');

                            var empresa_logo = response.servicio.empresa_logo;
                            if (empresa_logo != "") {
                                $('#modal-detalle-servicio .marca-item').removeClass('m--hide');
                                empresa_logo = urlWeb + "/uploads/empresas/" + empresa_logo;
                                $('#modal-detalle-servicio .marca-item').attr('src', empresa_logo);
                            }


                            $('#modal-detalle-servicio .titulo-servicio').html(response.servicio.nombre);

                            $('#modal-detalle-servicio .descripcion').html(response.servicio.descripcion);
                            $('#modal-detalle-servicio .adicional').html(response.servicio.informacionAdicional);

                            $('#modal-detalle-servicio .puntos').html(response.servicio.puntos_formato);

                            var imagenes = response.servicio.imagenes;
                            if (imagenes.length > 0) {
                                mostrarGaleriaServicio(imagenes);
                            }

                            if (buscarPosServicio(servicio_id) < 0) {
                                $('#modal-detalle-servicio .add-box').removeClass('m--hide');
                            }


                        } else {
                            toastr.error(response.error, "Error !!!");
                        }
                    },
                    error: function (data) {
                        mApp.unblock('.modal-dialog');
                        toastr.error("Ha ocurrido un error interno, por favor intente de nuevo", "Error !!!");
                    }
                });
                //vistar
                visitarServicio(servicio_id);
            }, 300)


        });

        $(document).off('click', '#modal-detalle-producto .agregar-carro-item');
        $(document).on('click', '#modal-detalle-producto .agregar-carro-item', function (e) {

            var producto_id = $('#detalle-producto-form .producto_id').val();

            var nombre = $('#detalle-producto-form .nombre').val();
            var imagen = $('#detalle-producto-form .imagen').val();
            var puntos = $('#detalle-producto-form .puntos-hidden').val();
            var stock = $('#detalle-producto-form .stock-hidden').val();
            var cantidad = $('#modal-detalle-producto .cantidad').val();

            var variacion_id = $('#detalle-producto-form .variacion_id').val();
            var color = $('#detalle-producto-form .variacion_color').val();
            var talla = $('#detalle-producto-form .variacion_talla').val();

            //validar variacion
            if (colores.length > 0) {
                if (variacion_id == "") {
                    toastr.error("Seleccione color y tamaño", "Error !!!");
                    return;
                }
            }

            var item = {
                producto_id: producto_id,
                servicio_id: '',
                imagen: imagen,
                nombre: nombre,
                puntos: puntos,
                stock: stock,
                cantidad: cantidad,
                variacion_id: variacion_id,
                color: color,
                talla: talla
            }

            //obtner carrito
            var carrito = JSON.parse(localStorage.getItem('beneplus_backend_carrito'));
            if (carrito == null) {
                carrito = [];
            }

            var pos = buscarPosProducto(producto_id, variacion_id);
            if (pos >= 0) {
                carrito.splice(pos, 1);
            }
            carrito.push(item);

            //salvar en session
            localStorage.setItem('beneplus_backend_carrito', JSON.stringify(carrito));
            toastr.success("Has agregado un producto al carrito", "Exito !!!");
            MyApp.dibujarCarrito();

            // close modal
            MyApp.closeModalProducto();

            //verificar si estoy en el carro de canjes para actualizar la tabla
            if ($('#lista-carro-canjes').html() != "" && $('#lista-carro-canjes').html() !== undefined) {
                dibujarTablaProductos();
            }
        });

        $(document).off('click', '#modal-detalle-servicio .agregar-carro-item');
        $(document).on('click', '#modal-detalle-servicio .agregar-carro-item', function (e) {

            var servicio_id = $('#detalle-servicio-form .servicio_id').val();
            var nombre = $('#detalle-servicio-form .nombre').val();
            var imagen = $('#detalle-servicio-form .imagen').val();
            var puntos = $('#detalle-servicio-form .puntos-hidden').val();
            var stock = $('#detalle-servicio-form .stock-hidden').val();

            var item = {
                servicio_id: servicio_id,
                producto_id: '',
                imagen: imagen,
                nombre: nombre,
                puntos: puntos,
                stock: stock,
                cantidad: 1,
                variacion_id: '',
                color: '',
                talla: ''
            }

            //obtner carrito
            var carrito = JSON.parse(localStorage.getItem('beneplus_backend_carrito'));
            if (carrito == null) {
                carrito = [];
            }

            var pos = buscarPosServicio(servicio_id);
            if (pos >= 0) {
                carrito.splice(pos, 1);
            }
            carrito.push(item);

            //salvar en session
            localStorage.setItem('beneplus_backend_carrito', JSON.stringify(carrito));
            toastr.success("Has agregado un servicio al carrito", "Exito !!!");
            MyApp.dibujarCarrito();

            // close modal
            MyApp.closeModalServicio();

            //verificar si estoy en el carro de canjes para actualizar la tabla
            if ($('#lista-carro-canjes').html() != "" && $('#lista-carro-canjes').html() !== undefined) {
                dibujarTablaProductos();
            }
        });

        function dibujarTablaCaracteristicas(caracteristicas) {
            var tabla = '#modal-detalle-producto .table-caracteristicas';
            //Limpiar tabla
            $(tabla + ' tbody tr').each(function (e) {
                $(this).remove();
            });
            //Agregar elementos
            for (var i = 0; i < caracteristicas.length; i++) {

                var tr = '<tr id="' + i + '">' +
                    '<td class="text-center">' + (i + 1) + '</td>' +
                    '<td>' + caracteristicas[i].caracteristica + '</td>' +
                    '<td>' + caracteristicas[i].valor + '</td>' +
                    '</tr>';

                $(tr).appendTo(tabla + ' tbody');
            }
        };

        function dibujarColores() {
            $('#modal-detalle-producto .colores').removeClass('m--hide');
            $('#modal-detalle-producto .add-box-colores').removeClass('m--hide');
            $('#modal-detalle-producto .add-box-colores').html('');

            var html = '';
            for (var i = 0; i < colores.length; i++) {
                var color = '<div class="box-color" data-id="' + colores[i].color_id + '" data-imagen =""  data-nombre ="' + colores[i].color_nombre + '"' + '>' +
                    '<div style="background-color: ' + colores[i].color_valor + '; width: 45px; height: 45px;"></div>' +
                    '</div>';

                if (colores[i].imagen != "") {
                    var imagen = urlWeb + "/uploads/productos/" + colores[i].imagen;
                    color = '<div class="box-color" data-id="' + colores[i].color_id + '" data-imagen ="' + colores[i].imagen + '" data-nombre ="' + colores[i].color_nombre + '">' +
                        '<img src="' + imagen + '">' +
                        '</div>';

                    //agregar la imagen
                    producto_imagenes.push({
                        imagen: colores[i].imagen,
                        ruta: urlWeb + "/uploads/productos/",
                        size: 0,
                        valida: true
                    });
                }
                html += color;
            }
            $('#modal-detalle-producto .add-box-colores').html(html);

            //actualizar la galeria
            mostrarGaleria(producto_imagenes);
            //seleccionar el primer color
            seleccionarColor(0);

            //Eventos click
            $(document).off('click', '#modal-detalle-producto .box-color');
            $(document).on('click', '#modal-detalle-producto .box-color', function (e) {

                var color_id = $(this).data('id');

                //limpiar seleccion
                $('#modal-detalle-producto .box-color').each(function () {
                    $(this).removeClass('selected');
                });

                //seleccionar
                var pos = -1;
                $('#modal-detalle-producto .box-color').each(function (i) {
                    if (color_id == $(this).data('id')) {
                        pos = i;
                    }
                });
                seleccionarColor(pos);

            });
        }

        function seleccionarColor(pos) {
            $('#modal-detalle-producto .box-color').each(function (i) {
                if (i == pos) {
                    $(this).addClass('selected');

                    var imagen = $(this).data('imagen');
                    var nombre = $(this).data('nombre');

                    $('#detalle-producto-form .variacion_color').val(nombre);
                    $('#modal-detalle-producto .color').html(nombre);

                    //visualizar imagen
                    if (imagen != "") {
                        var imagenes = [];
                        imagenes.push({
                            imagen: imagen,
                            ruta: urlWeb + "/uploads/productos/",
                            size: 0,
                            valida: true
                        });
                        for (var i = 0; i < producto_imagenes.length > 0; i++) {
                            if (imagen != producto_imagenes[i].imagen) {
                                imagenes.push(producto_imagenes[i]);
                            }
                        }
                        mostrarGaleria(imagenes);
                    }

                    //tallas
                    var tallas = buscarTallas(pos);
                    dibujarTallas(tallas);
                }
            });
        }

        function buscarTallas(pos) {
            var tallas = [];
            for (var i = 0; i < colores.length; i++) {
                if (i == pos) {
                    tallas = colores[i].tallas;
                    break;
                }
            }
            return tallas;
        }

        function dibujarTallas(tallas) {
            $('#modal-detalle-producto .tallas').removeClass('m--hide');
            $('#modal-detalle-producto .add-box-tallas').removeClass('m--hide');
            $('#modal-detalle-producto .add-box-tallas').html('');

            var html = '';
            for (var i = 0; i < tallas.length; i++) {
                var color = '<div class="box-talla" data-id="' + tallas[i].variacion_id + '" data-stock="' + tallas[i].stock + '" data-nombre ="' + tallas[i].talla + '"' + '>' +
                    '<div style="font-size: 20px; font-weight: bold;">' + tallas[i].talla + '</div>' +
                    '</div>';
                html += color;
            }
            $('#modal-detalle-producto .add-box-tallas').html(html);

            //seleccionar la primera talla
            seleccionarTalla(0);

            //Eventos click
            $(document).off('click', '#modal-detalle-producto .box-talla');
            $(document).on('click', '#modal-detalle-producto .box-talla', function (e) {

                var variacion_id = $(this).data('id');

                //limpiar seleccion
                $('#modal-detalle-producto .box-talla').each(function () {
                    $(this).removeClass('selected');
                });

                //seleccionar
                var pos = -1;
                $('#modal-detalle-producto .box-talla').each(function (i) {
                    if (variacion_id == $(this).data('id')) {
                        pos = i;
                    }
                });
                seleccionarTalla(pos);

            });
        }

        function seleccionarTalla(pos) {
            $('#modal-detalle-producto .box-talla').each(function (i) {
                if (i == pos) {
                    $(this).addClass('selected');

                    var variacion_id = $(this).data('id');
                    var stock = $(this).data('stock');
                    var nombre = $(this).data('nombre');

                    $('#detalle-producto-form .variacion_id').val(variacion_id);
                    $('#detalle-producto-form .variacion_talla').val(nombre);
                    $('#modal-detalle-producto .talla').html(nombre);

                    //stock
                    $('#detalle-producto-form .stock-hidden').val(stock);
                    if (stock > 0) {
                        //limpiar select
                        $('#modal-detalle-producto .cantidad option').each(function (e) {
                            $(this).remove();
                        });
                        $('#modal-detalle-producto .cantidad').select2();

                        for (var i = 1; i <= stock; i++) {
                            $('#modal-detalle-producto .cantidad').append(new Option(i, i, false, false));
                        }
                        $('#modal-detalle-producto .cantidad').select2();
                    }

                }
            });
        }

        function mostrarGaleria(imagenes, descuento, oferta) {

            var descuento_html = '';
            if (descuento > 0) {
                descuento_html = '<div class="descuento">-' + descuento + '%</div>';
            }
            var oferta_html = '';
            if (oferta) {
                oferta_html = '<div class="oferta">Oferta</div>';
            }

            var html = '<div id="carouselProductoIndicators" class="carousel slide" data-ride="carousel">';

            //indicadores
            if (imagenes.length > 1) {
                html += '<ol class="carousel-indicators">';
                for (var i = 0; i < imagenes.length; i++) {
                    var class_active = (i == 0) ? 'class="active"' : '';
                    html += '<li data-target="#carouselProductoIndicators" data-slide-to="' + i + '" ' + class_active + '></li>';
                }
                html += '</ol>';
            }

            //items
            html += '<div class="carousel-inner">';
            for (var i = 0; i < imagenes.length; i++) {
                var class_active = (i == 0) ? 'active' : '';
                var imagen = urlWeb + "/uploads/productos/" + imagenes[i].imagen;
                html += '<div class="carousel-item ' + class_active + '">\n' +
                    descuento_html + oferta_html +
                    '     <img class="d-block w-100" src="' + imagen + '">\n' +
                    '    </div>';
            }
            html += '</div>';

            if (imagenes.length > 1) {
                html += '<a class="carousel-control-prev" href="#carouselProductoIndicators" role="button" data-slide="prev">\n' +
                    '            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fa fa-chevron-left"></i></span>\n' +
                    '            <span class="sr-only">Previous</span>\n' +
                    '        </a>\n' +
                    '        <a class="carousel-control-next" href="#carouselProductoIndicators" role="button" data-slide="next">\n' +
                    '            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fa fa-chevron-right"></i></span>\n' +
                    '            <span class="sr-only">Next</span>\n' +
                    '        </a>' +
                    '</div>';
            }


            $('#detalle-producto-galeria').html(html);
        }

        function mostrarGaleriaServicio(imagenes) {
            var html = '<div id="carouselServicioIndicators" class="carousel slide" data-ride="carousel">';
            //indicadores
            html += '<ol class="carousel-indicators">';
            for (var i = 0; i < imagenes.length; i++) {
                var class_active = (i == 0) ? 'class="active"' : '';
                html += '<li data-target="#carouselServicioIndicators" data-slide-to="' + i + '" ' + class_active + '></li>';
            }
            html += '</ol>';
            //items
            html += '<div class="carousel-inner">';
            for (var i = 0; i < imagenes.length; i++) {
                var class_active = (i == 0) ? 'active' : '';
                var imagen = urlWeb + "/uploads/servicios/" + imagenes[i].imagen;
                html += '<div class="carousel-item ' + class_active + '">\n' +
                    '     <img class="d-block w-100" src="' + imagen + '">\n' +
                    '    </div>';
            }
            html += '</div>';
            html += '<a class="carousel-control-prev" href="#carouselServicioIndicators" role="button" data-slide="prev">\n' +
                '            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fa fa-chevron-left"></i></span>\n' +
                '            <span class="sr-only">Previous</span>\n' +
                '        </a>\n' +
                '        <a class="carousel-control-next" href="#carouselServicioIndicators" role="button" data-slide="next">\n' +
                '            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fa fa-chevron-right"></i></span>\n' +
                '            <span class="sr-only">Next</span>\n' +
                '        </a>' +
                '</div>';

            $('#detalle-servicio-galeria').append(html);
        }

        function buscarPosProducto(producto_id, variacion_id) {

            //obtner carrito
            var carrito = JSON.parse(localStorage.getItem('beneplus_backend_carrito'));
            if (carrito == null) {
                carrito = [];
            }

            var pos = -1;
            for (var i = 0; i < carrito.length; i++) {
                if (variacion_id == "") {
                    if (carrito[i].producto_id == producto_id) {
                        pos = i;
                        break;
                    }
                } else {
                    if (carrito[i].variacion_id == variacion_id) {
                        pos = i;
                        break;
                    }
                }

            }
            return pos;
        }

        function buscarPosServicio(id) {

            //obtner carrito
            var carrito = JSON.parse(localStorage.getItem('beneplus_backend_carrito'));
            if (carrito == null) {
                carrito = [];
            }

            var pos = -1;
            for (var i = 0; i < carrito.length; i++) {
                if (carrito[i].servicio_id == id) {
                    pos = i;
                    break;
                }
            }
            return pos;
        }

        function visitarProducto(producto_id) {
            $.ajax({
                type: "POST",
                url: MyApp.getBackendUrl() + "producto/visitar",
                headers: {
                    'My-Header': 'Bearer ' + currentUser.token
                },
                dataType: "json",
                data: {
                    'producto_id': producto_id,
                    'autor_id': currentUser.usuarioId
                },
                success: function (response) {
                    console.log(response);
                },
                error: function (response) {
                }
            });
        }

        function visitarServicio(servicio_id) {
            $.ajax({
                type: "POST",
                url: MyApp.getBackendUrl() + "servicio/visitar",
                headers: {
                    'My-Header': 'Bearer ' + currentUser.token
                },
                dataType: "json",
                data: {
                    'servicio_id': servicio_id,
                    'autor_id': currentUser.usuarioId
                },
                success: function (response) {
                    console.log(response);
                },
                error: function (response) {
                }
            });
        }
    }

    // Cupon Producto
    var initAccionCupon = function () {

        $(document).off('click', "#btn-cupon-producto");
        $(document).on('click', "#btn-cupon-producto", function (e) {
            e.preventDefault();

            var producto_id = $('#detalle-producto-form .producto_id').val();

            MyApp.block('#ficha-producto');

            $.ajax({
                type: "POST",
                url: MyApp.getBackendUrl() + "cupon-producto/generarCupon",
                headers: {
                    'My-Header': 'Bearer ' + currentUser.token
                },
                dataType: "json",
                data: {
                    'producto_id': producto_id
                },
                success: function (response) {
                    mApp.unblock('#ficha-producto');
                    if (response.success) {

                        var cupon = response.cupon;

                        MyApp.openModalCuponBeneficio();
                        setTimeout(function () {
                            $('#modal-cupon-beneficio .img-qr').attr('src', cupon.qr);

                            var download = MyApp.getUrl() + '/cupon-producto/descargar/' + cupon.codigo;
                            $('#modal-cupon-beneficio .bg-qr').append('<a href="'+download+'" class="download" target="_blank">Descargar Cupón</a>');

                            $('#modal-cupon-beneficio .logo-empresa').attr('src', cupon.marcaLogo);

                            $('#modal-cupon-beneficio .titulo').html(cupon.producto_nombre);
                            $('#modal-cupon-beneficio .descripcion').html(cupon.producto_categoria);

                            $('#modal-cupon-beneficio .usuario').html(cupon.usuario_nombre);
                            $('#modal-cupon-beneficio .rut').html(cupon.usuario_rut);

                        }, 300);

                    } else {
                        toastr.error(response.error, "Error !!!");
                    }
                },
                error: function (data) {
                    mApp.unblock('#ficha-producto');
                    toastr.error("Ha ocurrido un error interno, por favor intente de nuevo", "Error !!!");
                }
            });

        });

        $(document).off('click', "#btn-cupon-servicio");
        $(document).on('click', "#btn-cupon-servicio", function (e) {
            e.preventDefault();

            var servicio_id = $('#detalle-servicio-form .servicio_id').val();

            MyApp.block('#ficha-servicio');

            $.ajax({
                type: "POST",
                url: MyApp.getBackendUrl() + "cupon-servicio/generarCupon",
                headers: {
                    'My-Header': 'Bearer ' + currentUser.token
                },
                dataType: "json",
                data: {
                    'servicio_id': servicio_id
                },
                success: function (response) {
                    mApp.unblock('#ficha-servicio');
                    if (response.success) {

                        var cupon = response.cupon;

                        MyApp.openModalCuponBeneficio();
                        setTimeout(function () {
                            $('#modal-cupon-beneficio .img-qr').attr('src', cupon.qr);

                            var download = MyApp.getUrl() + '/cupon-servicio/descargar/' + cupon.codigo;
                            $('#modal-cupon-beneficio .bg-qr').append('<a href="'+download+'" class="download" target="_blank">Descargar Cupón</a>');

                            $('#modal-cupon-beneficio .logo-empresa').attr('src', cupon.marcaLogo);

                            $('#modal-cupon-beneficio .titulo').html(cupon.servicio_nombre);
                            $('#modal-cupon-beneficio .descripcion').html(cupon.servicio_categoria);

                            $('#modal-cupon-beneficio .usuario').html(cupon.usuario_nombre);
                            $('#modal-cupon-beneficio .rut').html(cupon.usuario_rut);

                        }, 300);

                    } else {
                        toastr.error(response.error, "Error !!!");
                    }
                },
                error: function (data) {
                    mApp.unblock('#ficha-servicio');
                    toastr.error("Ha ocurrido un error interno, por favor intente de nuevo", "Error !!!");
                }
            });

        });

    };

    return {
        //main function to initiate the module
        init: function () {
            initCarrito();
            initDetalleProducto();
            initAccionCupon();
        }
    };

}();
QuickSidebar.init();


